scala.swing

# TextField

#### class TextField extends TextComponent with HasColumns with Wrapper

A text component that allows single line text input and display.

Source
  TextField.scala
See also

  javax.swing.JTextField

Linear Supertypes
Wrapper, Trigger, HasColumns, TextComponent, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Known Subclasses
PasswordField
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. TextField
2. Wrapper
3. Trigger
4. HasColumns
5. TextComponent
6. Component
7. UIElement
8. LazyPublisher
9. Publisher
10. Reactor
11. Proxy
12. AnyRef
13. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TextField()

2. #### new TextField(columns: Int)

3. #### new TextField(text: String)

4. #### new TextField(text0: String, columns0: Int)

### Type Members

1. #### class Caret extends Publisher

2. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def action: Action

   Definition Classes
     Wrapper → Trigger

7. #### def action_=(a: Action): Unit

   Definition Classes
     Wrapper → Trigger

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### def background: Color

   Definition Classes
     UIElement

10. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

11. #### def border: Border

    Definition Classes
      Component

12. #### def border_=(b: Border): Unit

    Definition Classes
      Component

13. #### def bounds: Rectangle

    Definition Classes
      UIElement

14. #### object caret extends Caret

15. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

16. #### def columns: Int

    Definition Classes
      TextField → HasColumns

17. #### def columns_=(n: Int): Unit

    Definition Classes
      TextField → HasColumns

18. #### def copy(): Unit

    Definition Classes
      TextComponent

19. #### def cursor: Cursor

    Definition Classes
      UIElement

20. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

21. #### def cut(): Unit

    Definition Classes
      TextComponent

22. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

23. #### def displayable: Boolean

    Definition Classes
      UIElement

24. #### def editable: Boolean

    Definition Classes
      TextComponent

25. #### def editable_=(x: Boolean): Unit

    Definition Classes
      TextComponent

26. #### def enabled: Boolean

    Definition Classes
      Component

27. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

28. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

29. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

30. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

31. #### def focusable: Boolean

    Definition Classes
      Component

32. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

33. #### def font: Font

    Definition Classes
      UIElement

34. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

35. #### def foreground: Color

    Definition Classes
      UIElement

36. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

37. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

38. #### def hasFocus: Boolean

    Definition Classes
      Component

39. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

40. #### def horizontalAlignment: Value

    See also

      javax.swing.JTextField#getHorizontalAlignment()

41. #### def horizontalAlignment_=(x: Value): Unit

    See also

      javax.swing.JTextField#setHorizontalAlignment()

42. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

43. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

44. #### var initP: JComponent

    Definition Classes
      Component

45. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

46. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

47. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

48. #### object keys extends Publisher

49. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

50. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

51. #### def locale: Locale

    Definition Classes
      UIElement

52. #### def location: Point

    Definition Classes
      UIElement

53. #### def locationOnScreen: Point

    Definition Classes
      UIElement

54. #### def maximumSize: Dimension

    Definition Classes
      UIElement

55. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

56. #### def minimumSize: Dimension

    Definition Classes
      UIElement

57. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

58. #### object mouse extends AnyRef

    Contains publishers for various mouse events.

59. #### def name: String

    Definition Classes
      Component

60. #### def name_=(s: String): Unit

    Definition Classes
      Component

61. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

62. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

63. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

64. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      TextField → Component → UIElement → LazyPublisher

65. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      TextField → UIElement → LazyPublisher

66. #### def opaque: Boolean

    Definition Classes
      Component

67. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

68. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

69. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

70. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

71. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

72. #### def paste(): Unit

    Definition Classes
      TextComponent

73. #### lazy val peer: JTextField

    Definition Classes
      TextField → Wrapper → TextComponent → Component → UIElement

74. #### def preferredSize: Dimension

    Definition Classes
      UIElement

75. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

76. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

77. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

78. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

79. #### def repaint(): Unit

    Definition Classes
      UIElement

80. #### def requestFocus(): Unit

    Definition Classes
      Component

81. #### def requestFocusInWindow(): Boolean

    Definition Classes
      Component

82. #### def revalidate(): Unit

    Definition Classes
      Component

83. #### def selectAll(): Unit

    Definition Classes
      TextComponent

84. #### def selected: String

    Definition Classes
      TextComponent

85. #### def self: Component

    Definition Classes
      UIElement → Proxy

86. #### def shouldYieldFocus: (String) ⇒ Boolean

87. #### def shouldYieldFocus_=(y: (String) ⇒ Boolean): Unit

88. #### def showing: Boolean

    Definition Classes
      UIElement

89. #### def size: Dimension

    Definition Classes
      UIElement

90. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

91. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

92. #### def text: String

    Definition Classes
      TextComponent

93. #### def text_=(t: String): Unit

    Definition Classes
      TextComponent

94. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Component → Proxy → AnyRef → Any

95. #### def toolkit: Toolkit

    Definition Classes
      UIElement

96. #### def tooltip: String

    Definition Classes
      Component

97. #### def tooltip_=(t: String): Unit

    Definition Classes
      Component

98. #### def unsubscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

99. #### def verifier: (String) ⇒ Boolean

100. #### def verifier_=(v: (String) ⇒ Boolean): Unit

101. #### def visible: Boolean

     Definition Classes
       UIElement

102. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

103. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

104. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

105. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

106. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

107. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

108. #### def yLayoutAlignment: Double

     Definition Classes
       Component

109. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

### Deprecated Value Members

1. #### lazy val Mouse: TextField.this.mouse.type

   Definition Classes
     Component
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use mouse instead

2. #### def size_=(dim: Dimension): Unit

   Definition Classes
     UIElement
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Explicit size assignment for UIElements is not supported anymore. ".+("Use a layout manager or subclass Window.")

### Inherited from Wrapper

### Inherited from Trigger

### Inherited from HasColumns

### Inherited from TextComponent

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any